package com.adaptrex.core.persistence.api;

import java.util.List;
import java.util.Map;

import com.adaptrex.core.ext.Filter;
import com.adaptrex.core.ext.Sorter;


public interface ORMStoreData {

	public List<Map<String, Object>> getData();
	public Integer getTotalCount();
	
	public void setStart(Integer start);
	public void setLimit(Integer limit);
	public void setGroupers(List<Sorter> groupers);
	public void setSorters(List<Sorter> sorters);
	public void setWhere(String where);
	public void setParams(Map<String,Object> params);
	public void setFilters(List<Filter> filters);
	public Integer getStart();
	public Integer getLimit();
	public List<Sorter> getGroupers();
	public List<Sorter> getSorters();
	public String getWhere();
	public Map<String, Object> getParams();
	public List<Filter> getFilters();
	public void setTotalCount(Integer totalCount);
}
