package com.adaptrex.core.view;

import com.adaptrex.core.AdaptrexConfig;
import com.adaptrex.core.services.AdaptrexServices;

public class BootstrapComponent {

	private String extBuild;
	
	public BootstrapComponent() {
		this(null);
	};
	
	public BootstrapComponent(String extBuild) {
		this.extBuild = extBuild != null ? extBuild :
			AdaptrexServices.getConfig().get(AdaptrexConfig.EXT_BUILD, "production");
	};
	
	public String toString() {
		return "<script type='text/javascript' src='app" + 
				(this.extBuild.equals("production") ? "-all" : "") + ".js'></script>\n";
	}

	public void setExtBuild(String extBuild) {
		this.extBuild = extBuild;
	}
}
